import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import java.io.*; // for InputStream etc.
import java.awt.Color;

/**
 * Read a message from a text file and display it.
 * 
 * @author Davin McCall
 */
public class ReaderWorld extends World
{

    /**
     * Constructor for objects of class ReaderWorld.
     * 
     */
    public ReaderWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1);
        
        try {
            String [] lines = readText();
            for (int i = 0; i < 5; i++) {
                GreenfootImage lineImage = new GreenfootImage(lines[i],
                        18, Color.BLACK, Color.WHITE);
                Actor a = new TextActor();
                a.setImage(lineImage);
                addObject(a, 300, i * 22 + 40);
            }
        }
        catch (IOException ioe) {
            GreenfootImage lineImage = new GreenfootImage("I couldn't read the story!",
                   18, Color.WHITE, Color.BLACK);
            Actor a = new TextActor();
            a.setImage(lineImage);
            addObject(a, 300, 40);
        }
    }
    
    public String[] readText() throws IOException
    {
        InputStream is = getClass().getClassLoader().getResourceAsStream("content/story.txt");
        BufferedReader r = new BufferedReader(new InputStreamReader(is));
        
        String[] lines = new String[5];
        
        for (int i = 0; i < 5; i++) {
            lines[i] = r.readLine();
        }
        
        return lines;
    }
}
